import 'dart:async';

import 'package:flutter/services.dart';

class UdidPlugin {
  static const MethodChannel _channel =
      const MethodChannel('udid_plugin');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  // OCR 身份证扫描
  static Future<Map> startOCRFlow(Map<String, dynamic> engineArg) async {
    final Map result = await _channel.invokeMethod('startOCRFlow', engineArg);
    return result;
  }

  // 活体检测
  static Future<Map> startLivenessFlow(Map<String, dynamic> engineArg) async {
    final Map result = await _channel.invokeMethod('startLivenessFlow', engineArg);
    return result;
  }

  // 实名验证
  static Future<Map> startIDAuthFlow(Map<String, dynamic> engineArg) async {
    final Map result = await _channel.invokeMethod('startIDAuthFlow', engineArg);
    return result;
  }

  // 比对
  static Future<Map> startCompareFlow(Map<String, dynamic> engineArg) async {
    final Map result = await _channel.invokeMethod('startCompareFlow', engineArg);
    return result;
  }

  // 视频存证
  static Future<Map> startVideoFlow(Map<String, dynamic> engineArg) async {
    final Map result = await _channel.invokeMethod('startVideoFlow', engineArg);
    return result;
  }

  // 自由组合流程
  static Future<Map> startCustomFlow(Map<String, dynamic> engineArg) async {
    final Map result = await _channel.invokeMethod('startCustomFlow', engineArg);
    return result;
  }


}
